Package org.eclipse.cdt.utils.som

## Class SOM

- java.lang.Object
- - org.eclipse.cdt.utils.som.SOM

    public class SOM
    extends Object

Representation of a HP-UX SOM binary format

### Nested Class Summary

Nested Classes
`static class` `SOM.Attribute`
`static class` `SOM.FileHeader` SOM Header record
`class` `SOM.Symbol`

### Field Summary

Fields
`static String` `NL`

### Constructor Summary

Constructors
`protected` `SOM()`
`` `SOM​(String filename)`
`` `SOM​(String filename, long offset)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `dispose()`
`SOM.Attribute` `getAttributes()`
`static SOM.Attribute` `getAttributes​(byte[] hints)`
`static SOM.Attribute` `getAttributes​(String file)`
`SOM.FileHeader` `getFileHeader()`
`byte[]` `getStringTable()`
`SOM.Symbol[]` `getSymbols()`
`static boolean` `isSOMHeader​(byte[] hints)`
`static void` `main​(String[] args)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NL

    public static final String NL

### Constructor Detail

#### SOM

    protected SOM()

#### SOM

    public SOM​(String filename)
        throws IOException

Throws:
  `IOException`

#### SOM

    public SOM​(String filename,
               long offset)
        throws IOException

Throws:
  `IOException`

### Method Detail

#### dispose

    public void dispose()
                 throws IOException

Throws:
  `IOException`

#### getFileHeader

    public SOM.FileHeader getFileHeader()
                                 throws IOException

Throws:
  `IOException`

#### getAttributes

    public SOM.Attribute getAttributes()

#### getSymbols

    public SOM.Symbol[] getSymbols()
                            throws IOException

Throws:
  `IOException`

#### getStringTable

    public byte[] getStringTable()
                          throws IOException

Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### isSOMHeader

    public static boolean isSOMHeader​(byte[] hints)

#### getAttributes

    public static SOM.Attribute getAttributes​(byte[] hints)
                                       throws IOException

Throws:
  `IOException`

#### getAttributes

    public static SOM.Attribute getAttributes​(String file)
                                       throws IOException

Throws:
  `IOException`

#### main

    public static void main​(String[] args)